# Farming GraphQL Schema

```
type LimitFarming @entity {
  id: ID!
  createdAtTimestamp: BigInt!
  rewardToken: Bytes!
  bonusRewardToken: Bytes!
  pool: Bytes!
  startTime: BigInt!
  endTime: BigInt!
  reward: BigInt!
  bonusReward: BigInt!
  isDetached: Boolean
  minRangeLength: BigInt!
  tokenAmountForTier1: BigInt!
  tokenAmountForTier2: BigInt!
  tokenAmountForTier3: BigInt!
  tier1Multiplier: BigInt!
  tier2Multiplier: BigInt!
  tier3Multiplier: BigInt!
  multiplierToken: Bytes!
  enterStartTime: BigInt!
}

type EternalFarming @entity {
  id: ID!
  rewardToken: Bytes!
  bonusRewardToken: Bytes!
  virtualPool: Bytes!
  pool: Bytes!
  startTime: BigInt!
  endTime: BigInt!
  reward: BigInt!
  bonusReward: BigInt!
  rewardRate: BigInt!
  bonusRewardRate: BigInt!
  isDetached: Boolean
  minRangeLength: BigInt!
  tokenAmountForTier1: BigInt!
  tokenAmountForTier2: BigInt!
  tokenAmountForTier3: BigInt!
  tier1Multiplier: BigInt!
  tier2Multiplier: BigInt!
  tier3Multiplier: BigInt!
  multiplierToken: Bytes!
}

type Deposit @entity {
  id: ID!
  L2tokenId: BigInt!
  owner: Bytes!
  onFarmingCenter: Boolean!
  pool: Bytes!
  limitFarming: Bytes
  eternalFarming: Bytes
  enteredInEternalFarming: BigInt 
  liquidity: BigInt!
  rangeLength: BigInt!
  tokensLockedLimit: BigInt!
  tokensLockedEternal: BigInt!
  tierLimit: BigInt!
  tierEternal: BigInt! 
}

type Reward @entity{
  id: ID!
  rewardAddress: Bytes!
  amount: BigInt!
  owner: Bytes!
}

type Token @entity{
  id: ID!
  # token symbol
  symbol: String!
  # token name
  name: String!
  # token decimals
  decimals: BigInt!
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/subgraph/graphql-schema/farming-graphql-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
